| Home | Libraries | People | FAQ | More

###### basic_multi_buffer::basic_multi_buffer (8 of 10 overloads)

Copy Constructor.

###### Synopsis

    basic_multi_buffer(
        basic_multi_buffer const& other,
        Allocator const& alloc);

###### Description

This container is constructed with the contents of `other` using copy semantics and the specified allocator. The maximum size will be the same as the copied object.

###### Parameters

Name | Description
--- | ---
`other` | The object to copy from.
`alloc` | The allocator to use for the object.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | if `other.size()` exceeds the maximum allocation size of `alloc`.